<?php
/**
 * Gallery for JohnCMS. NO SALE!
 * Author: ValekS
 * File: index.php
 */

define('_IN_JOHNCMS', 1);

require('../incfiles/core.php');

$headmod = 'gallery';
$textl = $lng['gallery'];

require('../incfiles/head.php');

$lng_gallery = core::load_lng('gallery');

// Получаем сохраненные настройки
$settings = unserialize($set['gallery']);

require('functions.php');

/*
-----------------------------------------------------------------
Ограничиваем доступ к Галерее
-----------------------------------------------------------------
*/
$error = '';

if (!$set['mod_gal'] && $rights < 7) {
    $error = $lng_gallery['gallery_closed'];
} elseif ($set['mod_gal'] == 1 && !$user_id) {
    $error = $lng['access_guest_forbidden'];
}

if ($error) {
    echo '<div class="rmenu"><p>' . $error . '</p></div>';
    
    require_once('../incfiles/end.php');
    exit;
}

/*
-----------------------------------------------------------------
Переключаем режимы работы
-----------------------------------------------------------------
*/
$mods = array(
    'addcat',
    'addimg',
    'cat',
    'delcat',
    'editcat',
    'img',
    'delimg',
    'editimg',
    'tagsimg',
    'tagscloud',
    'likes',
    'comments',
    'look'
);


if ($act && ($key = array_search($act, $mods)) !== false && file_exists('includes/' . $mods[$key] . '.php')) {
    require('includes/' . $mods[$key] . '.php');
} else {

    if ($id) {
        $cat = mysql_fetch_assoc(mysql_query(" SELECT `name`, `catid` FROM `gallery_cat` WHERE `id` = " . $id ));
    } else {
        $like_count = mysql_result(mysql_query(" SELECT COUNT(`img`.`id`) FROM `gallery_img` AS `img`, `gallery_img_like` AS `img_like` WHERE `img_like`.`user_id` = ".$user_id." AND `img`.`id` = `img_like`.`img_id` "), 0);
        $my_count = mysql_result(mysql_query(" SELECT COUNT(`id`) FROM `gallery_img` WHERE `uid` = ".$user_id ), 0);

        echo '<div class="phdr">'.$lng['gallery'].'</div>';
        echo '<div class="gmenu">' . functions::image('gallery/tagcloud.png') . '<a href="index.php?act=tagscloud">'.$lng_gallery['tag_cloud'].'</a><br/>';
        echo functions::image('gallery/new.png') . '<a href="index.php?act=look&amp;do=new">'.$lng_gallery['new'].'</a>';
        echo ($user_id ? ' | <a href="index.php?act=look&amp;do=my">'.$lng_gallery['my'].'</a> ('.$my_count.') <br/>' : '<br/>');
        echo functions::image('gallery/like.png') . '<a href="index.php?act=look&amp;do=popular">'.$lng_gallery['popular'].'</a>';
        echo ($user_id ? ' | <a href="index.php?act=look&amp;do=like_me">'.$lng_gallery['like_me'].'</a> ('.$like_count.') <br/>' : '<br/>');
        echo functions::image('talk.gif') . '<a href="index.php?act=look&amp;do=commented">'.$lng_gallery['commented'].'</a><br/>';
        echo '</div>';
    }

    if ($id && !$cat['name']) {
        echo '<div class="phdr"><a href="index.php">'.$lng['gallery'].'</a> | '.$lng['error'].'</div>';
        echo functions::display_error($lng_gallery['error_no_cat'].'<br /><a href="index.php">'.$lng['gallery'].'</a>');
        require('../incfiles/end.php');
        exit;
    }

    if ($id) {
        echo '<div class="phdr"><a href="index.php" >'.$lng['gallery'].'</a> | ';

        if ($cat['catid'] != 0) {
            $name = mysql_fetch_assoc(mysql_query(" SELECT `name`, `id` FROM `gallery_cat` WHERE `id` = '" . $cat['catid'] . "' "));

            echo '<a href="index.php?id=' . $name['id'] . '">' . functions::checkout($name['name']) . '</a> | ';
        }

        echo $cat['name'].'</div>';
    }

    $total = mysql_result(mysql_query(" SELECT COUNT(*) FROM `gallery_cat` WHERE " . (!$id ? "`catid` = '0'" : "`catid` = " . $id) ), 0);

    if ($total) {

        $req = mysql_query(" SELECT * FROM `gallery_cat` WHERE " . (!$id ? "`catid` = '0'" : "`catid` = " . $id) . " ORDER BY `name` ");

        for ($i = 0; $res = mysql_fetch_assoc($req); ++$i) {

            echo $i % 2 ? '<div class="list2">' : '<div class="list1">';

            if ($res['type'] == 'cat') {
                $count = '[' . mysql_result(mysql_query(" SELECT COUNT(*) FROM `gallery_cat` WHERE `catid` = '" . $res['id'] . "' "),
                        0) . ']';
                echo functions::image('gallery/folder.png') . '<a href="index.php?id=' . $res['id'] . '" >' . functions::checkout($res['name']) . '</a> ' . $count;
            } else {
                $count = '(' . mysql_result(mysql_query(" SELECT COUNT(*) FROM `gallery_img` WHERE `catid` = '" . $res['id'] . "' "),
                        0) . ')';
                echo functions::image('gallery/image.png') . '<a href="index.php?act=cat&amp;id=' . $res['id'] . '" >' . functions::checkout($res['name']) . '</a> ' . $count;
            }

            echo '</div>';

        }

    } else {

        echo '<div class="rmenu"><p>'.$lng_gallery['empty'].'</p></div>';

    }

    echo '<div class="phdr">' . $lng['total'] . ': ' . $total . '</div>';

    echo '<div class="gmenu">';

    if (!$id && ($rights >= 6 || $rights == 2) || $settings['uploads'])
        echo '<a href="index.php?act=addimg">'.$lng_gallery['add_img'].'</a><br/>';

    if ($rights >= 6 || $rights == 2) {

        echo '<a href="index.php?act=addcat' . (!$id ? '' : '&amp;id=' . $id) . '">'.$lng_gallery['add_cat'].'</a>';

        if ($id) {
            echo '<br/><a href="index.php?act=editcat&amp;id=' . $id . '">'.$lng_gallery['edit_cat'].'</a>';
            echo '<br/><a href="index.php?act=delcat&amp;id=' . $id . '">'.$lng_gallery['del_cat'].'</a>';
        }
    }

    echo '</div>';

}

require('../incfiles/end.php');